Description: Remove cpan installation instructions; replace with
 Debian package installation instructions.
Author: Nick Morrott <knowledgejunkie@gmail.com>
Forwarded: not-needed
Last-Update: 2018-12-07
---
--- a/lib/Task/Kensho.pm
+++ b/lib/Task/Kensho.pm
@@ -22,7 +22,7 @@
 
 =head1 SYNOPSIS
 
-    > cpanm --interactive Task::Kensho
+    # apt-get install libtask-kensho-all-perl
 
 =head1 DESCRIPTION
 
@@ -60,10 +60,11 @@
 individually-installable tasks.  Each L<Task::Kensho> sub-task is listed at the
 beginning of its section in this documentation.
 
-When installing L<Task::Kensho> itself, you will be asked to install each
-sub-task in turn, or you can install individual tasks separately. These
-individual tasks will always install all their modules by default. This
-facilitates the ease and simplicity the distribution aims to achieve.
+When installing L<Task::Kensho> in Debian GNU/Linux, you can install each
+sub-task metapackage separately (e.g. libtask-kensho-async-perl), or you
+can install all tasks at once by installing the libtask-kensho-all-perl metapackage.
+These metapackages facilitate the ease and simplicity the distribution aims
+to achieve whilst utilising the power of the Debian GNU/Linux package system.
 
 =head1 RECOMMENDED MODULES
 
@@ -617,13 +618,15 @@
 
 =head1 INSTALLING
 
-Since version 0.34, L<Task::Kensho> has made use of the C<optional_features> field
-in distribution metadata. This allows CPAN clients to interact with you
-regarding which modules you wish to install.
+To install all Task::Kensho tasks and their recommended modules on
+Debian GNU/Linux, install the libtask-kensho-all-perl metapackage:
 
-The C<cpanm> client requires interactive mode to be enabled for this to work:
+    # apt-get install libtask-kensho-all-perl
 
-    cpanm --interactive Task::Kensho
+Each Kensho task is itself a metapackage. To install a specific task,
+install the relevant metapackage. E.g. for Task::Kensho::Async:
+
+    # apt-get install libtask-kensho-async-perl
 
 =head1 LIMITATIONS
 
